define(['./module'], function (services) {
   
      services.factory('properties', ["settings", function(settings){    	
          	
            var current_url = ''; 
            var project_configs = {};      
            var shopping_cart = [];     

            return {

                getCurrentURL: function() {
                    return current_url;
                },

                setCurrentURL: function(value) {
                    current_url = value;
                },

                getProjectConfigs: function() {
                    return project_configs;
                },

                setProjectConfigs: function(value) {
                    project_configs = value;
                },

                getFromCart: function() {
                    return shopping_cart;
                },

                addToCart: function(value) {
                    shopping_cart.push(value);
                },

                clearCart: function(value) {
                    shopping_cart = value;
                }                              

            };

      }]);

});
